com.jogamp.nativewindow

## Class UpstreamWindowHookMutableSizePos

- java.lang.Object
- - com.jogamp.nativewindow.UpstreamSurfaceHookMutableSize
  - - com.jogamp.nativewindow.UpstreamWindowHookMutableSizePos

- All Implemented Interfaces:
    UpstreamSurfaceHook, UpstreamSurfaceHook.MutableSize

      public class UpstreamWindowHookMutableSizePos
      extends UpstreamSurfaceHookMutableSize

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.media.nativewindow.UpstreamSurfaceHook

      `UpstreamSurfaceHook.MutableSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpstreamWindowHookMutableSizePos(int winX, int winY, int winWidth, int winHeight, int pixWidth, int pixHeight)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeight()`
    `int` | `getWidth()`
    `int` | `getX()`
    `int` | `getY()`
    `void` | `setWinPos(int winX, int winY)`
    `void` | `setWinSize(int winWidth, int winHeight)`
    `String` | `toString()`

    - ### Methods inherited from class com.jogamp.nativewindow.UpstreamSurfaceHookMutableSize

      `create, destroy, getSurfaceHeight, getSurfaceWidth, getUpstreamSurface, setSurfaceSize`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UpstreamWindowHookMutableSizePos

          public UpstreamWindowHookMutableSizePos(int winX,
                                          int winY,
                                          int winWidth,
                                          int winHeight,
                                          int pixWidth,
                                          int pixHeight)

      Parameters:
        `winX` - initial window x-pos
        `winY` - initial window y-pos
        `winWidth` - initial window width
        `winHeight` - initial window height
        `pixWidth` - initial surface pixel width, FIXME: pixel-dim == window-dim 'for now' ?
        `pixHeight` - initial surface pixel height, FIXME: pixel-dim == window-dim 'for now' ?

  - ### Method Detail

    - #### setWinPos

          public final void setWinPos(int winX,
                       int winY)

    - #### setWinSize

          public final void setWinSize(int winWidth,
                        int winHeight)

    - #### getX

          public final int getX()

    - #### getY

          public final int getY()

    - #### getWidth

          public final int getWidth()

    - #### getHeight

          public final int getHeight()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `UpstreamSurfaceHookMutableSize`

Copyright 2010 JogAmp Community.